## org.xmldb.api.modules
Interface TransactionService

All Superinterfaces:
  Configurable, Service

public interface TransactionService
extends Service

Provides the ability to bundle `Collection` operations into a transaction.

Note: This interface needs much better definition

Field Summary
`static java.lang.String` `SERVICE_NAME`

Method Summary
`void` `begin()` Begin the transaction
`void` `commit()` Commit the transaction
`void` `rollback()` Rollback the transaction

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Field Detail

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

See Also:
  Constant Field Values

Method Detail

### begin

    public void begin()
               throws XMLDBException

  Begin the transaction

  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### commit

    public void commit()
                throws XMLDBException

  Commit the transaction

  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### rollback

    public void rollback()
                  throws XMLDBException

  Rollback the transaction

  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Copyright (C) Wolfgang Meier. All rights reserved.